package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * WfFileConfig对象 wf_file_config
 *
 * @author hlf
 * @date 2021-08-04
 */
public class WfFileConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private String abbrName;

    //短期模型
    private Long nwpFlag;

    //超短期模型
    private Long uspNwpNo;

    //功率短期最优模型
    private Long wpfmodelNo;

    //功率超短期最优模型
    private Long uwpfmodelNo;

    //电量短期最优模型
    private Long wpfemodelNo;

    //电量超短期最优模型
    private Long uwpfemodelNo;

    private String windplantName;

    private String pvPowerStationName;

    private String nwpFlagName;

    private String nwpFlagInt;

    private String uspNwpNoName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setAbbrName(String abbrName) {
        this.abbrName = abbrName;
    }

    public String getAbbrName() {
        return abbrName;
    }

    public void setNwpFlag(Long nwpFlag) {
        this.nwpFlag = nwpFlag;
    }

    public Long getNwpFlag() {
        return nwpFlag;
    }

    public Long getUspNwpNo() {
        return uspNwpNo;
    }

    public void setUspNwpNo(Long uspNwpNo) {
        this.uspNwpNo = uspNwpNo;
    }

    public Long getWpfmodelNo() {
        return wpfmodelNo;
    }

    public void setWpfmodelNo(Long wpfmodelNo) {
        this.wpfmodelNo = wpfmodelNo;
    }

    public Long getUwpfmodelNo() {
        return uwpfmodelNo;
    }

    public void setUwpfmodelNo(Long uwpfmodelNo) {
        this.uwpfmodelNo = uwpfmodelNo;
    }

    public Long getWpfemodelNo() {
        return wpfemodelNo;
    }

    public void setWpfemodelNo(Long wpfemodelNo) {
        this.wpfemodelNo = wpfemodelNo;
    }

    public Long getUwpfemodelNo() {
        return uwpfemodelNo;
    }

    public void setUwpfemodelNo(Long uwpfemodelNo) {
        this.uwpfemodelNo = uwpfemodelNo;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getPvPowerStationName() {
        return pvPowerStationName;
    }

    public void setPvPowerStationName(String pvPowerStationName) {
        this.pvPowerStationName = pvPowerStationName;
    }

    public String getNwpFlagName() {
        return nwpFlagName;
    }

    public void setNwpFlagName(String nwpFlagName) {
        this.nwpFlagName = nwpFlagName;
    }

    public String getNwpFlagInt() {
        return nwpFlagInt;
    }

    public void setNwpFlagInt(String nwpFlagInt) {
        this.nwpFlagInt = nwpFlagInt;
    }

    public String getUspNwpNoName() {
        return uspNwpNoName;
    }

    public void setUspNwpNoName(String uspNwpNoName) {
        this.uspNwpNoName = uspNwpNoName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("abbrName", getAbbrName())
                .append("nwpFlag", getNwpFlag())
                .toString();
    }
}
